import {Button} from "antd";
import {importFile} from "../../utils/File";
import {useLexicalComposerContext} from '@lexical/react/LexicalComposerContext';
export default function actionPlug(){
    const [editor] = useLexicalComposerContext();
    return <Button
        className="action-button import"
        onClick={() => {
            console.log('editor:',editor)
            importFile("/media/shixiaohua/homedisk/Playground 2024-01-10T08_41_12.073Z.lexical").then(value=>{
                console.log('value.toString()',value.toString())
                const editorState = editor.parseEditorState(
                    JSON.stringify(JSON.parse(value.toString()).editorState)
                );
                editor.setEditorState(editorState);
                editor.dispatchCommand(CLEAR_HISTORY_COMMAND, undefined);
            }).catch(error=>
                console.error(error)
            )
        }}
        title="Import"
        aria-label="Import editor state from JSON">
        <i className="import"/> Import
    </Button>
}