import React, {useState} from 'react';
import {Col, Row, Slider} from 'antd';
import {NavLink} from 'react-router-dom'
import './index.less'
const GateWay = () => {

    const cols = [];
    const colCount = 3;
    cols.push(
        <Col key={'bj'} span={24 / colCount}>
            <div><NavLink to='/note'>笔记</NavLink></div>
        </Col>,
    );
    cols.push(
        <Col key={'todo'} span={24 / colCount}>
            <div>TODO</div>
        </Col>,
    );
    cols.push(
        <Col key={'dlt'} span={24 / colCount}>
            <div><NavLink to='/show/sync'>大乐透</NavLink></div>
        </Col>,
    );
    return (
        <Row id='components-grid-demo-playground' gutter={[8, 8]}>
            {cols}
        </Row>
    );
};
export default GateWay;